Bug 270696 - UnsupportedOperationException at javax.tools.JavaFileManager.contains
UnsupportedOperationException at javax.tools.JavaFileManager.contains
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
Dev
All All
: P2 (vote)
: Dev
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-21 12:46 UTC by Exceptions Reporter
Modified: 2017-05-27 03:32 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.91 KB, text/plain)
2017-05-21 12:46 UTC, Exceptions Reporter
Details
stacktrace (5.65 KB, text/plain)
2017-05-23 09:52 UTC, Jiri Prox
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2017-05-21 12:46:36 UTC
This issue was reported manually by hashiron.
It already has 5 duplicates 


Build: NetBeans IDE Dev (Build 201705210001)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.121-b13, Java(TM) SE Runtime Environment, 1.8.0_121-b13
OS: Windows 10

User Comments:
hashiron: 1.create new project JacaFxApplication
2.create new file Module-info.java

GUEST: Created a jigsaw module and moduel-info.java was opened.

GUEST: z

GUEST: The module-info_1.dump file contains:

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

module time.compile.lib {
}

----- Classpath: ---------------------------------------------
bootPath: nbjrt:file:/home/noon/java/jigsaw-jdk-9-ea+158_linux-x64_bin/jdk-9/!/modules/java.base/
classPath: 
sourcePath: /home/noon/workspace/time-compile/lib/src/main/java:/home/noon/workspace/time-compile/lib/src/main/resources
----- Original exception ---------------------------------------------
java.lang.UnsupportedOperationException
	at javax.tools.JavaFileManager.contains(JavaFileManager.java:600)
	at com.sun.tools.javac.comp.Modules.checkSourceLocation(Modules.java:587)
	at com.sun.tools.javac.comp.Modules.setCompilationUnitModules(Modules.java:570)
	at com.sun.tools.javac.comp.Modules.enter(Modules.java:286)
	at com.sun.tools.javac.comp.Modules.initModules(Modules.

GUEST: <Please provide a description of the problem or the steps to reproduce>d




Stacktrace: 
java.lang.UnsupportedOperationException
   at javax.tools.JavaFileManager.contains(JavaFileManager.java:600)
   at com.sun.tools.javac.comp.Modules.checkSourceLocation(Modules.java:587)
   at com.sun.tools.javac.comp.Modules.setCompilationUnitModules(Modules.java:570)
   at com.sun.tools.javac.comp.Modules.enter(Modules.java:286)
   at com.sun.tools.javac.comp.Modules.initModules(Modules.java:249)
   at com.sun.tools.javac.main.JavaCompiler.initModules(JavaCompiler.java:1103)
Comment 1 Exceptions Reporter 2017-05-21 12:46:40 UTC
Created attachment 164363 [details]
stacktrace
Comment 2 Jiri Prox 2017-05-23 09:52:20 UTC
Created attachment 164381 [details]
stacktrace

UOE when calling code completion in module-info
Comment 4 Quality Engineering 2017-05-27 03:32:17 UTC
Integrated into 'main-silver', will be available in build *201705270001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/657a3e870b85
User: Dusan Balek <dbalek@netbeans.org>
Log: Issues #270696, #268429, #200970, and #257649 fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo